Material.Create("dhdj blue chams");
Material.Create("dhdj red chams");
Material.Create("dhdj yellow chams");
materiald=false;
function onMaterial() {
	if(materiald){return;}
    mat_index = Material.Get("dhdj blue chams");
    if (mat_index > 0) {
        Material.SetKeyValue(mat_index, "$baseTexture", "models/inventory_items/dogtags/dogtags");
        Material.SetKeyValue(mat_index, "$envmap", "models/effects/cube_white");
        Material.SetKeyValue(mat_index, "$envmapfresnel", "1");
        Material.SetKeyValue(mat_index, "$envmapfresnelminmaxexp", "[0 1 2]");
        Material.SetKeyValue(mat_index, "$envmaptint", "[0 0.56078 0.98431]");
        Material.SetKeyValue(mat_index, "$alpha", "1");
		Material.SetKeyValue(mat_index, "$envmapsaturation", "0.65");
        Material.Refresh(mat_index);
    }
    mat_index = Material.Get("dhdj red chams");
    if (mat_index > 0) {
        Material.SetKeyValue(mat_index, "$baseTexture", "models/inventory_items/dogtags/dogtags");
        Material.SetKeyValue(mat_index, "$envmap", "models/effects/cube_white");
        Material.SetKeyValue(mat_index, "$envmapfresnel", "1");
        Material.SetKeyValue(mat_index, "$envmapfresnelminmaxexp", "[0 1 2]");
        Material.SetKeyValue(mat_index, "$envmaptint", "[0.98431 0 0.3921]");
        Material.SetKeyValue(mat_index, "$alpha", "1")
		Material.SetKeyValue(mat_index, "$envmapsaturation", "0.90");
        Material.Refresh(mat_index);
    }
	mat_index = Material.Get("dhdj yellow chams");
    if (mat_index > 0) {
        Material.SetKeyValue(mat_index, "$baseTexture", "models/inventory_items/dogtags/dogtags");
        Material.SetKeyValue(mat_index, "$envmap", "models/effects/cube_white");
        Material.SetKeyValue(mat_index, "$envmapfresnel", "1");
        Material.SetKeyValue(mat_index, "$envmapfresnelminmaxexp", "[0 1 2]");
        Material.SetKeyValue(mat_index, "$envmaptint", "[0.84705 0.91372 0]");
        Material.SetKeyValue(mat_index, "$alpha", "1")
		Material.SetKeyValue(mat_index, "$envmapsaturation", "0.90");
        Material.Refresh(mat_index);
    }
	materiald=true;
}
Cheat.RegisterCallback("Material", "onMaterial");
Global.PrintChat("[onetap config by linran] 强制不挨打 加载完毕 ")